searchData={"items":[{"type":"module","title":"UQuery.Counter","doc":"Counts for query.","ref":"UQuery.Counter.html"},{"type":"function","title":"UQuery.Counter.count/2","doc":"Add to your Repo file the \"count\" method following the example below:\n\n```\ndefmodule MyApp.Repo do\n  use Ecto.Repo,\n    otp_app: :my_app,\n    adapter: Ecto.Adapters.Postgres\n\n  ...\n\n  def count(query) do\n    UQuery.Counter.count(__MODULE__, query)\n  end\n\n  ...\n\nend\n```\n\nNow call the method above in your models:\n\n```\ndefmodule MyApp.Projects do\n  ...\n\n  import Ecto.Query, warn: false\n  alias MyApp.Repo\n\n  alias MyApp.Projects.Project\n\n  ...\n\n  def count_projects() do\n    from(p in Project, select: p)\n    |> Repo.count()\n  end\n\n  ...\n\nend\n```","ref":"UQuery.Counter.html#count/2"},{"type":"module","title":"UQuery.Paginator","doc":"Documentation for `UQuery Paginator`.\n\nPaginates a query and returns items and metadata.","ref":"UQuery.Paginator.html"},{"type":"function","title":"UQuery.Paginator.paginate/4","doc":"Add to your Repo file the \"paginate\" method following the example below:\n\n```\ndefmodule MyApp.Repo do\n  use Ecto.Repo,\n    otp_app: :my_app,\n    adapter: Ecto.Adapters.Postgres\n\n  ...\n\n  def paginate(query, page, per_page) do\n    UQuery.Paginator.paginate(__MODULE__, query, page, per_page)\n  end\n\n  ...\n\nend\n```\n\nNow call the method above in your models:\n\n```\ndefmodule MyApp.Projects do\n  ...\n\n  import Ecto.Query, warn: false\n  alias MyApp.Repo\n\n  alias MyApp.Projects.Project\n\n  ...\n\n  def list_projects(page, per_page) do\n    from(p in Project, select: p)\n    |> Repo.paginate(page, per_page)\n  end\n\n  ...\n\nend\n```","ref":"UQuery.Paginator.html#paginate/4"},{"type":"function","title":"UQuery.Paginator.query_items/4","doc":"","ref":"UQuery.Paginator.html#query_items/4"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}